Subject: bug#11757: Acknowledgement (24.1.50; vc-git calls `process-file' too many times)

From: Michael Albinus <[email-masked]>
Date: Tue, 26 Jun 2012 14:14:25 +0200

Dmitry Gutov <[email-masked]> writes:

> After setting vc-git-program explicitly to "C:/Program Files
> (x86)/Git/bin/git.exe" (by default, it was calling "C:/Program Files
> (x86)/Git/cmd/git.CMD"), the average time of git command calls went
> down from 0.2s to 0.03s, so the problem with Git is about 7 times less
> important now.

If the git repository is remote (accessed via Tramp), this is still a
serious issue. I'm plagued by this every single day. Less `process-file'
invocations would be more than welcome. Maybe vc-git can cache some results?

> -- Dmitry

Best regards, Michael.